
#######################################
#                                     #
#  Makefile for HEC_ADC package       #
#                                     #
#  Note: If gmake doesn't work on     #
#        your UNIX platform (ie. it   #
#        is not installed), see       #
#        our readme file for help.    #
#                                     #
#  author: D. Striegel   19.11.1997   #
#  Modified by D. O'Neil 28.11.1997   #
#######################################

.SUFFIXES:
.SUFFIXES: .a .o .f
#
VPATH=./inc:./src:./src/his:./src/cal:./src/crl:./src/cub:./src/his:./src/mwpc:./src/search:./src/online:./src/ped:./util:./obj

OBJECTS = hec_adc.o hec_adc_fill.o hec_adc_ini.o hec_adc_unpk.o hec_beam.o \
          hec_beam_data.o hec_beam_fit.o hec_beam_getclust.o hec_beam_ini.o \
          hec_beam_linefit.o hec_beam_pass.o hec_beam_read.o hec_beam_survey.o \
          hec_beam_xymwpc.o hec_cal.o hec_cal_read.o hec_cal_evt.o hec_card.o \
          hec_crl.o hec_crl_ana.o hec_crl_correl.o hec_crl_evt.o hec_crl_ini.o \
          hec_crl_pass1.o hec_crl_ter.o hec_cub.o hec_cub_evt.o hec_dump_adc.o \
          hec_dump_dwpc.o hec_dump_geo.o hec_dwpc_epio.o \
          hec_dwpc_ini.o hec_dwpc_zebra.o hec_evt.o hec_evth_epio.o \
          hec_evth_zebra.o hec_fadc_epio.o hec_fadc_ini.o hec_fadc_unpk.o \
          hec_geo.o hec_geo_may96.o hec_geo_jul96.o hec_geo_sep96.o \
          hec_geo_feb97.o hec_geo_may97.o hec_geo_oct97.o hec_geoe_epio.o \
          hec_geoe_zebra.o hec_hbook_ini.o hec_his.o hec_his_ana1.o \
          hec_his_evt1.o hec_his_ini.o hec_his_pass1.o hec_his_ter.o hec_ini.o \
          hec_io_ini.o hec_io_pass_evt.o hec_io_pass_ini.o hec_io_pass_ter.o \
          hec_io_ter.o hec_max_fill.o hec_nextevt.o hec_nextevt_epio.o \
          hec_nextevt_online_epio.o hec_nextevt_epio_runh.o hec_nextevt_zebra.o \
          hec_online.o hec_online_ana1.o hec_online_datacard.o hec_online_evt1.o \
          hec_online_getfile.o hec_online_gettrig.o hec_online_higz.o \
          hec_online_his.o hec_online_hisevt.o hec_online_hisview.o \
          hec_online_ini.o hec_online_io_ini.o hec_online_mwpc.o \
          hec_online_pass1.o hec_online_run_ini.o hec_online_ter.o hec_pass1.o \
          hec_pass2.o hec_pass3.o hec_ped.o hec_ped_ana1.o hec_ped_ana2.o \
          hec_ped_evt1.o hec_ped_evt2.o hec_ped_pass1.o hec_ped_pass2.o \
          hec_ped_print.o hec_ped_read.o hec_ped_write.o hec_runh_epio.o \
          hec_runh_pass.o hec_runh_replace.o hec_runh_zebra.o hec_s_0.o \
          hec_s_1.o hec_s_2.o hec_s_evtini.o hec_s_passini.o hec_s_flagini.o \
          hec_s_found.o hec_tdc_epio.o hec_ter.o hec_trig.o hec_trig_sheet.o \
          user_ana1.o user_ana2.o user_ana3.o user_card.o user_evt1.o \
          user_evt2.o user_evt3.o user_ini.o user_ter.o

INC     = hec_adc.inc hec_beam.inc hec_beam_shifts.inc hec_beam_sys_cluset.inc \
          hec_beam_sys_clusters.inc hec_beam_sys_config.inc \
          hec_beam_sys_shifts.inc hec_cal.inc hec_cal_coef.inc hec_crl.inc \
          hec_cub.inc hec_datacard.inc hec_dwpc.inc hec_epio.inc hec_evth.inc \
          hec_fadc.inc hec_geo.inc hec_his_sys.inc hec_max.inc \
          hec_maxepio.inc hec_online.inc hec_online_his.inc hec_par.inc \
          hec_paw.inc hec_ped.inc hec_ped_sys.inc hec_runh.inc hec_search.inc \
          hec_tdc.inc hec_trig.inc hec_zebra.inc
#
# can define source macro to be all the same files as object
# with a different extension.
#
SOURCE = $(OBJECT:.o=.f) 
#
# now determine appropriate compiler options for this platform
#
PLATFORM=$(shell uname)
ifeq "$(PLATFORM)" "HP-UX"
  COMP         = fort77 -c +ppu  -O2 -Iinc
  LIB_NAME     = hec_adc.a
endif
ifeq "$(PLATFORM)" "AIX"
  COMP         = xlf -O2 -u -qextname -qcharlen=32767 -qrndsngl -c \
                     -qobj -qnolist -qrecur -Iinc
  LIB_NAME     = hec_adc_AIX.a
endif
ifeq "$(PLATFORM)" "OSF1"
  COMP         = f77 -c -C -O2 -Iinc
  LIB_NAME     = hec_adc_ALPHA.a
endif
ifeq "$(PLATFORM)" "SunOS"
  COMP         = f77 -c -O2 -e -Iinc
  LIB_NAME     = hec_adc_SUN.a
endif
#
# define rule for making object from Fortran. $(COMP) is
# compiler with options specified above.
#
.f.o : 
	$(COMP) $<
	mv -f $*.o ./obj
#
# make library
#
$(LIB_NAME) : $(OBJECTS)
	ar r $(LIB_NAME) ./obj/*.o
#
# objects will each depend on all include files...changing 
# any one leads to total recompilation of the library
#
$(OBJECTS) : $(INC)

