c
c common for datacard values
c
c card    variable   
c
c rnmode  run_mode  i  1= offline mode 
c                      2= online mode (overrides other datacards)
c intyp   in_typ    i  1= input data file type flag (1 is ZEBRA)
c                                                   (2 is EPIO)
c                   i  2= logical unit for data file reading
c npass   n_pass    i  1= number of analysis passes (<4)
c nevtm   n_evtmax  i  1= maximum number of events to analyse per pass
c runpd   irunpd    i  1=1 may96 run period
c                      1=2 jul96 run period
c                      1=3 sep96 run period
c                      1=4 feb97 run period (technical)
c                      1=5 may97 run period
c                      1=6 oct97 run period
c mkped   mk_ped    i  1=>0 make pedestals
c         nt_ped_st i  2= for 1997, start of range of time samplings for
c                         pedestal calculation  
c         nt_ped    i  3= for 1997, end of range of time samplings used
c         sc_ped    r  4= sigma cut for pedestal production
c         io_ped    i  5= read pedestal file flag    (>0 = read ped)
c                   i  6= logical unit for pedestal file reading
c                   i  7= output pedestal file flag  (>0 = write ped)
c                   i  8= logical unit for pedestal file writing
c mkcub   mk_cub    i  1= find adc max using simple cubic fit
c                                                    (>0 = enable)
c mpref   m_pref    i  1= prefered adc max finding package
c                         if more than one adc max finding package
c                         is enabled, this card determines the
c                         package that will be used to fill the
c                         generic adc max common (see hec_max.inc)
c                      1= 1  for simple cubic fit
c                      1= 2  for electronic response fit (not yet implemented)
c                      1= 3  for Cleland method          (not yet implemented)
c mkhis   mk_his    i  1= system histograms flag     (>0 = make his)
c         io_his    i  2= logical unit for system histogram file writing
c iocal   io_cal    i  1= read calibration file flag (>0 = read cal)
c                   i  2= logical unit for calibration file reading
c                   i  2= logical unit for calibration file reading
c rrunh   run_no_cr i  1= correct run number (if <0, ignore)
c         e_beam_cr r  2= correct beam energy(if <0, ignore)
c         i_part_cr i  3= correct beam particle type(if <0, ignore)
c         x_cryo_cr r  4= correct x-position (mm) of cryostat
c                         (if >10000, ignore)
c         y_tabl_cr r  5= correct y-position (mm) of MWPC moveable table
c                         (if >10000, ignore)
c beamc   mk_beam   i  1= beam chamber reconstruction on/off (1/0)
c         z_beam    r  2= z-coordinate (cm) (along beam), at which lateral
c                         (x,y)-coordinates of beam should be calculated
c         hpr_beam  i  3= beam histograms print flag (print, if .ne.0 
c                         and if mkhis flag is on)
c         io_beam   i  4= logical unit for alignment constants reading
c                      5= logical unit for alignment constants writing
c
c mkcrl   mk_crl    i  1= turn channel/time correlation on (>0 = make correlations)
c         io_crl    i  2= logical unit number for crl histo output
c
c srgst   hec_s_dk       i  search algotythms: 0= switch off
c                                              1= Dieter
c                                              2= (0) could be replaced by user
c                              -> logical function hec_s_2()
c         hec_s_dstart   i  timeslice to start searching
c         hec_s_dstop    i  timeslice to stop searching
c         hec_s_dtcmp    i  number of slices to compare (3, 5, 7)
c         hec_s_dmc      l  apply a cut on maximum
c         hec_s_dlvl     r  level of the cut
c
      integer run_mode
      integer in_typ(2)
      integer n_pass
      integer n_evtmax
      integer irunpd
      integer mk_ped
      integer nt_ped
      integer nt_ped_st
      real    sc_ped
      integer io_ped(4)
      integer mk_cub
      integer m_pref
      integer mk_his
      integer io_his
      integer io_cal(2)
      integer run_no_cr
      real    e_beam_cr
      integer i_part_cr
      real    x_cryo_cr
      real    y_tabl_cr
      integer mk_beam
      real    z_beam
      integer hpr_beam
      integer io_beam(2)
      integer mk_crl
      integer io_crl
      integer hec_s_dk, hec_s_dstart, hec_s_dstop, hec_s_dtcomp
      integer hec_s_dmc
      real    hec_s_dlvl
c
      common /sssdat/ run_mode,
     +                in_typ,
     +                n_pass,
     +                n_evtmax,
     +                irunpd,
     +                mk_ped, nt_ped_st, nt_ped, sc_ped, io_ped,
     +                mk_cub,
     +                m_pref,
     +                mk_his, io_his,
     +                io_cal,
     +                run_no_cr, e_beam_cr, i_part_cr,
     +                  x_cryo_cr, y_tabl_cr,
     +                mk_beam,z_beam, hpr_beam, io_beam,
     +                mk_crl, io_crl,
     +                hec_s_dk, hec_s_dstart, hec_s_dstop,
     +                  hec_s_dtcomp, hec_s_dmc, hec_s_dlvl
c

