      subroutine hec_evt
c
c process event
c
c 1- fill adc values for the different coordinate systems
c 2- produce useful trigger words
c 3- find max adc and time
c 4- fill preferred max adc and time
c 5- produce calibrated channel values (in nA)
c
      implicit none
c
c common for datacard values
c
      include'hec_datacard.inc'
c
c local variable
c
      logical hec_s_found
      external hec_s_found
c
c adc values in the adc channel system (ic) are directly read
c from testbeam data.
c fill the adc values arrays for 
c - the database system (db)
c - the physics system  (ph)
c
      call hec_adc_fill
c
c process trigger bits from pattern units and produce useful
c trigger words to be found in hec_trig.inc
c
      call hec_trig
c
c apply a search algorythm only starting from run period 4
c
      if (hec_s_found()) then
c
c       find max adc and time using simple cubic fit
c
        if (mk_cub .gt. 0) call hec_cub_evt
c
c       fill preferred max adc and time
c
        call hec_max_fill
c
c       fill energies using signal maxima and calibration file 
c       fill the arrays for
c       - the channel system  (ic) 
c       - the database system (db)
c       - the physics system  (ph)
c
        call hec_cal_evt
c
c       reconstruct beam particle trajectory, if required
c
        call hec_beam_fit(1)
c
      endif 				! if (hec_s_found) then
c
      end

