      subroutine hec_io_ini
c
c data io initialization
c
      implicit none      
c
c user datacard values common
c
      include'hec_datacard.inc'
c
c epio common
c
      include'hec_epio.inc'
c
c set maximum buffer sizes with common of dummy arrays
c
      include'hec_maxepio.inc'
c
c zebra common
c
      include'hec_zebra.inc'
c
c online common
c
      include'hec_online.inc'
c
      integer ierr
c
c set end of run flag to false at start of run
c
      eorflag = .false.
c
c initialize zebra
c
      if (in_typ(1) .eq. 1) then
        call mzebra(-1)
        ixstor=0
        call mzstor(ixstor, '/zzz/', '.', ifence, lev, blvect(1),
     +  blvect(1), blvect(100000), blvect(1600001))
        if (ixstor .ne. 0) then
          print *, ' from mzstor: ixstor = ', ixstor
          stop
        endif
c
c open zebra file
c
        open(in_typ(2), file='bank.fz', form='unformatted', 
     +  status='old', err=1)
c
c initialize epio (if offline, use epioin as filename,
c if online mode do not initialize epio here, do it in 
c hec_online_io_ini. Necessary to get proper epio filename
c from user prompt)
c
      elseif (in_typ(1) .eq. 2) then
        if (run_mode .eq. 1) then
          if (irunpd .le. 5) then 
            lepbuf = 6144
          else
            lepbuf = 6120
          endif
c
          call epinit
          call epsetw(in_typ(2), 1, lepbuf, ierr)
          call epdefu(in_typ(2), 'epioin', ierr)
          if (ierr .ne. 0) then
            print *, ' ***error calling epsetw in hec_io_ini', ierr
            stop
          endif   

        endif
c 
      else
        print *, ' ***unknown input data file type ', in_typ(1)
        stop
      endif
      return
c
 1    continue
      print *, ' *** error opening zebra file on unit ', in_typ(2)
      stop
c
      end
