      subroutine hec_tdc_epio
************************************************************************
*     unpack and save TDC data into common block for each event        *
*                                                                      *
*     author: 17.11.97  Dieter Striegel                                *
************************************************************************
      implicit none
      
      include 'hec_par.inc' 					! parameter common
      include 'hec_geo.inc' 					! geometry common
      include 'hec_tdc.inc' 					! tdc common
      include 'hec_epio.inc' 					! epio common
      
      character substr*19
      logical DEBUG
      parameter (substr=' *** HEC_TDC_EPIO: ', DEBUG=.FALSE.)
      
      integer itdc

      itdc = ibits(ibankbuf(4),0,12) 			! time in TDC units

      hec_tdc_raw = itdc*1. 					! raw TDC value
      hec_tdc_ns  = itdc*1.*conv_tdc_time 		! TDC in nano seconds
      
      if (hec_tdc_ns.gt.tslice_shift) hec_tdc_ns = hec_tdc_ns - 25.
      
      if (DEBUG) then
        write(*,*) substr,'raw TDC  = ', hec_tdc_raw
        write(*,*) substr,'TDC [ns] = ', hec_tdc_ns
        write(*,*)
      endif 							! if (DEBUG) then
      
      return
      end
