      SUBROUTINE hec_trig_sheet
C
C-----------------------------------------
C
C   Author   :- RD33/TGT DAQ          17-SEP-1994
C
C=========================================
C
C   Purpose   : print runsheet
C   Inputs    :
C   Outputs   :
C
C=========================================
C +
C Declarations.
C -
      IMPLICIT NONE
c
c event header common
c
      include'hec_evth.inc'
c
c online mode common
c
      include'hec_online.inc'
c
c run header common
c
      include'hec_runh.inc'
c
      integer LUN 
      parameter (lun=66)
c
ccc      INTEGER mxplane
ccc      PARAMETER (mxplane=2*MWPC_maxch-1)

ccc      INTEGER i,plane
ccc      REAL eff(0:mxplane),teff

ccc      CHARACTER*20 Sdattim,Edattim
ccc      INTEGER*2 wlen

      INTEGER j
      CHARACTER*20 PUname(0:15,1:4)

      DATA PUname(15,1)/'15/15 pi/e*C Trig'/
      DATA PUname(14,1)/'15/14 pi/e   Trig'/
      DATA PUname(13,1)/'15/13 S random Tr'/
      DATA PUname(12,1)/'15/12 mu     Trig'/
      DATA PUname(11,1)/'15/11 MWPC   Trig'/
      DATA PUname(10,1)/'15/10 VM hole low'/
      DATA PUname(9,1)/'15/9  pi/e/mu  '/
      DATA PUname(8,1)/'15/8  '/
      DATA PUname(7,1)/'15/7  C1 8 major.'/
      DATA PUname(6,1)/'15/6  C1 7 major.'/
      DATA PUname(5,1)/'15/5  C1 6 major.'/
      DATA PUname(4,1)/'15/4  Early Pile up'/
      DATA PUname(3,1)/'15/3  H Random Trig'/
      DATA PUname(2,1)/'15/2  F pretrigger'/
      DATA PUname(1,1)/'15/1  VM hole up'/
      DATA PUname(0,1)/'15/0  all events'/
      DATA PUname(15,2)/'16/15 VM 12 c low'/
      DATA PUname(14,2)/'16/14 VM 11 left'/
      DATA PUname(13,2)/'16/13 VM 10'/
      DATA PUname(12,2)/'16/12 VM 9'/
      DATA PUname(11,2)/'16/11 VM 8'/
      DATA PUname(10,2)/'16/10 VM 7'/
      DATA PUname(9,2)/'16/9  VM 6 cent up'/
      DATA PUname(8,2)/'16/8  VM 5'/
      DATA PUname(7,2)/'16/7  VM 4'/
      DATA PUname(6,2)/'16/6  VM 3'/
      DATA PUname(5,2)/'16/5  VM 2'/
      DATA PUname(4,2)/'16/4  VM 1  right'/
      DATA PUname(3,2)/'16/3  M1 10 left'/
      DATA PUname(2,2)/'16/2  M1 9'/
      DATA PUname(1,2)/'16/1  M1 8'/
      DATA PUname(0,2)/'16/0  M1 7'/
      DATA PUname(15,3)/'17/15 M1 6'/
      DATA PUname(14,3)/'17/14 M1 5'/
      DATA PUname(13,3)/'17/13 M1 4'/
      DATA PUname(12,3)/'17/12 M1 3'/
      DATA PUname(11,3)/'17/11 M1 2'/
      DATA PUname(10,3)/'17/10 M1 1 right'/
      DATA PUname(9,3)/'17/9  M2 10 left'/
      DATA PUname(8,3)/'17/8  M2 9'/
      DATA PUname(7,3)/'17/7  M2 8'/
      DATA PUname(6,3)/'17/6  M2 7'/
      DATA PUname(5,3)/'17/5  M2 6'/
      DATA PUname(4,3)/'17/4  M2 5'/
      DATA PUname(3,3)/'17/3  M2 4'/
      DATA PUname(2,3)/'17/2  M2 3'/
      DATA PUname(1,3)/'17/1  M2 2'/
      DATA PUname(0,3)/'17/0  M2 1'/
      DATA PUname(15,4)/'18/15'/
      DATA PUname(14,4)/'18/14'/
      DATA PUname(13,4)/'18/13'/
      DATA PUname(12,4)/'18/12'/
      DATA PUname(11,4)/'18/11'/
      DATA PUname(10,4)/'18/10'/
      DATA PUname(9,4)/'18/9'/
      DATA PUname(8,4)/'18/8'/
      DATA PUname(7,4)/'18/7'/
      DATA PUname(6,4)/'18/6'/
      DATA PUname(5,4)/'18/5  '/
      DATA PUname(4,4)/'18/4  '/
      DATA PUname(3,4)/'18/3  '/
      DATA PUname(2,4)/'18/2  '/
      DATA PUname(1,4)/'18/1  '/
      DATA PUname(0,4)/'18/0  Late pile up'/
c
c open file in which to write summary
c
      open(lun,file='runsheet.log',status='unknown')
C + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
C Entry Point.
C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ccc      sdattim=' '
ccc      edattim=' '
ccc      CALL SYS$ASCTIM(wlen,Sdattim,Stime,%VAL(0))
ccc      CALL SYS$ASCTIM(wlen,Edattim,Etime,%VAL(1))

ccc      WRITE(LUN,9000) runum,Sdattim,Edattim
ccc      9000 FORMAT(/,T8,'Run ',I,'  Start ',A,' End ',A)
      WRITE(LUN,9000) run_no
 9000 FORMAT(/,T8,'Run',I4)
      WRITE(LUN,9001) e_beam,i_part,x_cryo,y_tabl
 9001 FORMAT(T8,'Momentum',I5,' GeV, particle type:',I3,
     &  ' CryoX=',I5,' TableY=',I5)
ccc      WRITE(LUN,9002) cclevel,smstopd,smcontrol
ccc   9002 FORMAT(T8,'Calibr DAC',I,' SM stop delay ',I,' SM control',I)
      WRITE(LUN,9003) i_event,infname
 9003 FORMAT(T8,I5,' Events written to file ',A)
      WRITE(LUN,9004)
 9004 FORMAT(/T8,'Pattern unit statistics:')
      DO j=15,0,-1
        WRITE(LUN,9005) PUname(j,1),i_trigcnt(j+1),
     &    PUname(j,2),i_trigcnt(j+17)
      ENDDO
      WRITE(LUN,'()')
      DO j=15,0,-1
        WRITE(LUN,9005) PUname(j,3),i_trigcnt(j+33),
     &    PUname(j,4),i_trigcnt(j+49)
      ENDDO
 9005 FORMAT(T8,A20,I8,T40,A20,I8)
ccc      WRITE(lun,'(/T8,A,I7,A,I5)')
ccc     &    'MWPC Number of events analyzed:',ntrig_main
ccc      IF (ntrig_main.GT.0) THEN
ccc         teff = 100./float(ntrig_main)*float(MWPC_ntrig)
ccc         WRITE(LUN,'(T8,A,F5.1,A)')
ccc     &    'MWPC triggers in',teff,' % of events'
ccc         IF (mwpc_ntrig.GT.0) THEN
ccc            WRITE(lun, 1000)
ccc            DO i=0,5
ccc               DO plane=0,mxplane
ccc                  eff(plane) =
ccc     &          100./float(mwpc_ntrig)*float(mwpc_nhit(plane,i))
ccc               ENDDO
ccc               WRITE(lun, 1001)  i,eff
ccc            ENDDO
ccc         ENDIF
ccc      ENDIF
ccc 1000 FORMAT(T11,'% of Events with N wires hit',/,
ccc     +'   N',T7, ' x1',T14,' y1',T21,' x2',T28,' y2',
ccc     +      T35,' x3',T42,' y3',T49,' x4',T56,' y4',
ccc     +      T63,' x5',T70,' y5')
ccc  1001 FORMAT(I4,10F7.1)
c
      close(lun)
c
      END
