      subroutine hec_his_evt1
c
c pass 1 system histograms filling event routine
c
      implicit none
      include'hec_par.inc'
c
c adc values
c must be preceded by the include file hec_par.inc
c
      include'hec_adc.inc'
c
c calibrated energies common
c must be preceded by the include file hec_par.inc
c
      include'hec_cal.inc'
c
c common for datacard values
c
      include'hec_datacard.inc'
c
c geometry correspondence tables common
c must be preceded by the include file hec_par.inc
c
      include'hec_geo.inc'
c
c system histogram id common
c
      include'hec_his_sys.inc'
c
c max adc and time values common
c must be preceded by the include file hec_par.inc
c
      include'hec_max.inc'
c
c pedestal values common
c must be preceded by the include file hec_par.inc
c
      include'hec_ped.inc'
c
c search common
c
      include 'hec_search.inc'
c
c tdc common
c
      include 'hec_tdc.inc'
c
      integer ic, i_z, i_t, id
      real sig, sig_sum(1:i_z_max)
c
c do over all adc channels 
c
      call vzero(sig_sum, i_z_max)
      do ic = 1, i_adc_used
c
        sig = adc_max_ic(ic, 1) - adc_ped(ic)
c
c fill adc(max)-ped histograms for each channel
c
        id = id_adc_ic + ic
        call hfill(id, sig, 0., 1.)
c
c fill time(max) histograms for each channel for 1997
c
        if (irunpd .ge. 4) then
          id = id_tim_ic + ic
          call hfill(id, adc_max_ic(ic, 2), 0., 1.)
        endif
c
c fill time profile histograms for each channel for 1997
c
        if (irunpd .ge. 4) then
          id = id_tprof_ic + ic
          do i_t = 1, i_tim_used
            call hfill(id, real(i_t), real(i_adc_ic_t(ic, i_t)), 1.)
          enddo
        endif
c
c fill histograms of energy in nA for each channel, only if
c calibration is turned on
c
        if (io_cal(1) .ge. 1) then
          id = id_cal_ic + ic
          call hfill(id, hec_cal_ic(ic), 0., 1.)
        endif      
c
c sum adc(max)-ped for each tower depth
c
        i_z = ictoph(ic, 3)
        if (i_z .gt. 0) then
          sig_sum(i_z) = sig_sum(i_z) + sig
        endif
      enddo
c
c fill adc(max)-ped histograms for each tower depth
c
      do i_z = 1, i_z_used
        call hfill(id_adc_z + i_z, sig_sum(i_z), 0., 1.)
      enddo
c
c count channels with signal in them and fill histogram
c
      if (irunpd .ge. 4 .and. hec_s_dk .gt. 0) then
        hec_s_cells=0 					! clear for counting
        do ic = 1, i_adc_used
          if (hec_s_chan(ic)) then
            hec_s_cells=hec_s_cells+1 			! count active cells
            hec_s_count(ic)=hec_s_count(ic)+1
          endif 					! if (hec_s_chan(ic)) then
        enddo 						! do ic = 1, i_adc_used
        call hfill(id_search_use,hec_s_cells*1.,0.,1.)
      endif 						! if (irunpd.ge.4) then
c
      end







