      subroutine hec_his_ini
c
c book general histograms 
c
      implicit none
c
      include'hec_par.inc'
c
c calibrated energies common
c must be preceded by the include file hec_par.inc
c
      include'hec_cal.inc'
c
c common for datacard values
c
      include'hec_datacard.inc'
c
c geometry correspondence tables common
c must be preceded by the include file hec_par.inc
c
      include'hec_geo.inc'
c
c system histogram id common
c
      include'hec_his_sys.inc'
c
c pedestal 
c
      include'hec_ped.inc'
c
      integer i_z, ic
      character*40 ct
      character*1 cd
      character*4 c4
      real pedmax, pedmin, rmsmax
      real vmax, vmin
      integer nbin
      integer id
c
c reset the number of histogram ids used
c
      n_id_used = 0
c
c adc pedestal values
c
      pedmax = 
     +real(max(100, 100*(int(vmax(adc_ped, i_adc_used)/100.) + 1)))
      pedmin = real(100*int(vmin(adc_ped, i_adc_used)/100.))
      id = id_ped
      n_id_used = n_id_used + 1
      id_used(n_id_used) = id
      call hbook1(id, 'adc pedestals', 100, pedmin, pedmax, 0.)
c
      id = id_ped_ic
      n_id_used = n_id_used + 1
      id_used(n_id_used) = id
      call hbook1(id, 'adc pedestals vs ic', i_adc_used, 
     +0.5, i_adc_used + 0.5, 0.)
c
c adc pedestal rms values 
c
      nbin = 100
      rmsmax = 
     +real(max(10, 10*(int(vmax(adc_rms, i_adc_used)/10.) + 1)))
      id = id_rms
      n_id_used = n_id_used + 1
      id_used(n_id_used) = id
      call hbook1(id, 'adc pedestals rms', nbin, 0., rmsmax, 0.)
c
      id = id_rms_ic
      n_id_used = n_id_used + 1
      id_used(n_id_used) = id
      call hbook1(id, 'adc pedestals rms vs ic', i_adc_used, 
     +0.5, i_adc_used + 0.5, 0.)
c
c statistics of searching algorythms
c
      if (irunpd.ge.4) then
        nbin = i_adc_used
        ct = 'usage of channels'
        id = id_search_sig
        n_id_used = n_id_used + 1
        id_used(n_id_used) = id
        call hbook1(id, ct, nbin, .5, .5+nbin*1., 0.)
        ct = 'number of used channels per event'
        id = id_search_use
        n_id_used = n_id_used + 1
        id_used(n_id_used) = id
        call hbook1(id, ct, 20, -.5, 20.5, 0.)
      endif 					! if (irunpd.ge.4) then
c
c adc(max)-ped distribution for each tower depth
c
      nbin = 100
      do i_z = 1, i_z_used
        write(cd, '(i1)') i_z
        ct = 'adc(max) - ped for tower depth '//cd
        id = id_adc_z + i_z
        n_id_used = n_id_used + 1
        id_used(n_id_used) = id
        call hbook1(id, ct, nbin, 1., -1., 0.)
      enddo
c
c adc(max)-ped distribution for each channel
c
      nbin = 100
      do ic = 1, i_adc_used
        write(c4, '(i4)') ic
        ct = 'adc(max) - ped for channel '//c4
        id = id_adc_ic + ic
        n_id_used = n_id_used + 1
        id_used(n_id_used) = id
        call hbook1(id, ct, nbin, 1., -1., 0.)
      enddo
c
c time(max) distribution for each channel for 1997
c
      if (irunpd .ge. 4) then
c        nbin = 100
        nbin = i_tim_used
        do ic = 1, i_adc_used
          write(c4, '(i4)') ic
          ct = 'time(max) for channel '//c4//' (time slice)'
          id = id_tim_ic + ic
          n_id_used = n_id_used + 1
          id_used(n_id_used) = id
c          call hbook1(id, ct, nbin, 1., -1., 0.)
          call hbook1(id, ct, nbin, .5, i_tim_used*1.+.5, 0.)
        enddo
      endif
c
c time profile for each channel in 1997
c
      if (irunpd .ge. 4) then
        do ic = 1, i_adc_used
          write(c4, '(i4)') ic
          ct = 'time profile for channel '//c4
          id = id_tprof_ic + ic
          n_id_used = n_id_used + 1
          id_used(n_id_used) = id
          call hbprof(id, ct, i_tim_used, 
     +    0.5, real(i_tim_used)+0.5, 
     +    -real(adc_val_max), real(adc_val_max), ' ')
        enddo
      endif
c
c calibrated energy for each channel, if calibration is turned on
c
      nbin = 100
      if (io_cal(1) .ge. 1) then
        do ic = 1, i_adc_used
          write(c4, '(i4)') ic
          ct = 'energy in nA for channel '//c4
          id = id_cal_ic + ic
          n_id_used = n_id_used + 1
          id_used(n_id_used) = id
          call hbook1(id, ct, nbin, 1., -1., 0.)  
        enddo
      endif
c
      end
