      subroutine hec_online_ana1
c
c pass 1 system histograms filling routine
c
      implicit none
c
      include'hec_par.inc'
c
c geometry correspondence tables common
c must be preceded by the include file hec_par.inc
c
      include'hec_geo.inc'
c
c online histogram id common
c
      include'hec_online_his.inc'
c
c pedestal values common
c must be preceded by the include file hec_par.inc
c
      include'hec_ped.inc'
c
c local variables
c
      integer ic, i_t, nid, id
      real average
c
c calculate pedestal mean and rms values
c
      call hec_ped_ana1
c
c fill adc pedestal and adc pedestal rms histograms
c
      nid = 0
c
      do ic = 1, i_adc_used
        call hf1(id_ped, adc_ped(ic), 1.)
        call hf1(id_ped_ic, real(ic), adc_ped(ic))
        call hf1(id_rms, adc_rms(ic), 1.)
        call hf1(id_rms_ic, real(ic), adc_rms(ic))
c
c fill 2d histo of max vs. channel
c
        average = maxmom(ic,2) / maxmom(ic,1)
        call hfill(id_max_ic, real(ic), average, 1.) 
c
c fill time profile histograms
c
        do i_t = 1, i_tim_used
c
          average = adcmom(ic,i_t,2) / adcmom(ic,i_t,1)
          id = id_tprof_ic + ic
          call hff1(id, nid, real(i_t), average)
        enddo
c
      enddo
c
c output run sheet for triggers
c
      call hec_trig_sheet
c
c print tune/test beam reconstruction histograms, if necessary
c
ccc      call hec_beam_survey(2)
ccc      call hec_beam_fit(2)
c 
      end



