      subroutine hec_online_getfile
c
c routine to request name of run file for online monitoring
c
c use cfopen (cernlib) instead of regular fortran open 
c because regular open will not see links to files staged from
c cern tape.
c syntax:
c call cfopen(lundes,medium,nwrec, 'w', 0, 'run201.dat', istat)
c    lundes = lun descriptor (output)
c    medium = 0 = disk file, 1 = tape file etc.
c    nwrec  = record length 
c    'w'    = file is for writing, reading, etc.
c     0     = meaningless
c
      implicit none
c
c datacard common
c
      include'hec_datacard.inc'
c
c online system common
c
      include'hec_online.inc'
c
c local variables
c
      integer ierr, ios,lundes
c
c checkfile flag set to true
c
      runfile = .true.
      ios = 0
      irun=0
c
c query keyboard for run number to analyze
c
      print *, ' ***ENTER RUN NUMBER TO MONITOR (0 to exit)'
      read(5,*,iostat=ios) irun
      if (ios .ne. 0) then
        print *, ' ***Error reading input from keyboard'
        runfile = .false.
        irun = -1
        return
      endif
c
      if (irun .gt. 0) then
c
c check that data file for this run actually exists
c
        write(infname,8)irun
 8      format('data/run_',I4.4,'.dat')
        print *, ' ***hec_online_getfile searching ', 
     +            'for data file ',infname
c
c see if file exists (try to open it)
c
        call cfopen(lundes,0,6120, 'r', 0, infname, ierr)
        if (ierr .ne. 0) then
          print *, ' ***Cannot open named file: file does not exist'
          runfile = .false.
          irun = -1
          return
        endif
c
c rewind and close file
c
        call cfrew(lundes,0)
        call cfclos(lundes,0)       
c
c opened successfully
c
        print *, ' ***Successfully opened ',infname        
c
c initialize epio for online reading
c
        call hec_online_io_ini
c
      endif
c
      return
      end






