      subroutine hec_online_hisevt
c
      implicit none
c
c geometry correspondence tables
c
      include'hec_par.inc'
      include'hec_geo.inc'
c
c adc values common
c
      include'hec_adc.inc' 
c
c calibration common
c
      include'hec_cal.inc'
c
c datacard common
c
      include'hec_datacard.inc'
c
c event information
c
      include'hec_evth.inc'
c
c flash adc common
c
      include'hec_fadc.inc'
c
c pedestal values common
c
      include'hec_ped.inc'
c
c max adc and time values common
c
      include'hec_max.inc'
c
c online histogram id common
c
      include'hec_online_his.inc'
c
c run header common
c
      include'hec_runh.inc'
c
c local variables
c
      real sig, sig_sum(1:i_z_max)
      integer ic, i_t, i_z, id, nid, nid1, nid2, nid3
c
      integer ipad
      real xbin, ybin
      logical fillmap
c
      real scale, sum_1sig, sum_2sig, sum_3sig
c
c if there are no adc banks (ie. run header says they are turned off)
c do not fill histos
c
      if (.not. calo_on_flag) return
c
c initialize sums
c
      sum_1sig=0.
      sum_2sig=0.
      sum_3sig=0.
c
c begin filling histograms
c
      do ic = 1, i_adc_used
c
        call vzero(sig_sum, i_z_max)
c
        sig = adc_max_ic(ic, 1) - adc_ped_evt(ic)
c
c fill adc(max)-ped histograms for each channel
c
        if (ic .eq. 1) nid = 0
        id = id_adc_ic + ic
        call hff1(id, nid, sig, 1.)
c
c fill time(max) histograms for each channel for 1997
c
        if (irunpd .ge. 4) then
          if (i_event .eq. 1) nid1 = 0
          id = id_tim_ic + ic
          call hff1(id, nid1, adc_max_ic(ic, 2), 1.)
        endif
c
c accumulate moments to later fill time profile histograms for each 
c channel for 1997
c
        if (irunpd .ge. 4) then
          if (i_event .eq. 1) nid2 = 0
          id = id_tprof_ic + ic
          do i_t = 1, i_tim_used
            adcmom(ic,i_t,1) = adcmom(ic,i_t,1) + 1.0
            adcmom(ic,i_t,2) = adcmom(ic,i_t,2) + 
     +                         real((i_adc_ic_t(ic, i_t)))
            adcmom(ic,i_t,3) = adcmom(ic,i_t,3) + 
     +                         (real((i_adc_ic_t(ic, i_t))))**2
          enddo
        endif
c
c fill histo with map of "hits" on front face
c
        fillmap = .false.
        if (ic .ge. 1 .and. ic .le. 8) then
           ipad = ic
           fillmap = .true.
        elseif (ic .ge. 25 .and. ic .le. 28) then 
           ipad = ic - 16
           fillmap = .true.
        endif
        if (fillmap) then
           id = id_map
           if (mod(real(ipad),2.) .eq. 0) then
              xbin = 1
              ybin = real(ipad)/2.
           else
              xbin = 2
              ybin = real(ipad)/2. + 0.5
           endif   
           call hfill(id,xbin,ybin,adc_max_ic(ic,1))
        endif
c
c accumulate moments to later fill histo containing average maximum for
c each channel
c
        maxmom(ic,1) = maxmom(ic,1) + 1.0
        maxmom(ic,2) = maxmom(ic,2) + adc_max_ic(ic,1)
        maxmom(ic,3) = maxmom(ic,3) + adc_max_ic(ic,1)**2
c
c fill histograms of energy in nA for each channel, 
c
        id = id_cal_ic + ic
        scale=1.
        call hfill(id, hec_cal_ic(ic)/scale, 0., 1.)
c
c tabulate sums for energy histograms with maximums above certain 
c sigma cut from peds
c
        if ((hec_cal_ic(ic) - 
     +      (hec_cal_ped_ic(ic)+hec_cal_rms_ic(ic)))
     +       .gt. 0)then
          sum_1sig = sum_1sig + hec_cal_ic(ic)
        endif
        if((hec_cal_ic(ic) - 
     +         (hec_cal_ped_ic(ic)+2*hec_cal_rms_ic(ic)))
     +       .gt. 0)then     
          sum_2sig = sum_2sig + hec_cal_ic(ic)
        endif
        if((hec_cal_ic(ic) - 
     +         (hec_cal_ped_ic(ic)+3*hec_cal_rms_ic(ic)))
     +       .gt. 0)then 
          sum_3sig = sum_3sig + hec_cal_ic(ic)    
        endif

c
c sum adc(max)-ped for each tower depth
c
c ugly
c
        if (ic .ge. 1 .and. ic .le. 8) i_z = 1
        if (ic .ge. 25 .and. ic .le. 28) i_z = 1
        if (ic .ge. 11 .and. ic .le. 16) i_z = 2
        if (ic .ge. 34 .and. ic .le. 39) i_z = 2
        if (ic .ge. 19 .and. ic .le. 24) i_z = 3
        if (ic .ge. 42 .and. ic .le. 48) i_z = 3
        if (i_z .gt. 0) then
          sig_sum(i_z) = sig_sum(i_z) + sig
        endif
c
      enddo
c
c fill sigma cut energy histos
c
ccc      id = id_cal_ic + 1001
ccc      call hfill(id, sum_1sig/scale, 0., 1.)
ccc      id = id_cal_ic + 1002
ccc      call hfill(id, sum_2sig/scale, 0., 1.)
ccc      id = id_cal_ic + 1003
ccc      call hfill(id, sum_3sig/scale, 0., 1.)
c
c fill adc(max)-ped histograms for each tower depth
c
      do i_z = 1, i_z_used
        if (i_z .eq. 1) nid3 = 0
        call hff1(id_adc_z + i_z, nid3, sig_sum(i_z), 1.)
      enddo
c
c fill flash adc histogram for each fadc channel
c
      if (lpat_1(10) .and. firstfadc) then
         do ic = 1, i_fa_cdim
            do i_t = 1, i_fa_tdim
               id = id_fadc + ic
               call hfill(id,real(i_t), 0., real(i_fadc_ic_t(ic,i_t)))
ccc   print *,'fadc_ic,ic,it-->',i_fadc_ic_t(ic,i_t)
            enddo
         enddo
         firstfadc = .false.
      endif
c
      return
      end











