      subroutine hec_online_hisview
c
c allow viewing of online histogram files in higz window
c
      implicit none
c
      include'hec_paw.inc'
c
c local variables
c
      integer hisnum
c
      call hplint(1)
      call hplopt('STAT',1)
c
c start with a zone 2 2 status plot of the first 4 plots in the file
c
      call hplzon(2,2,1,' ')
      call hplcap(0)
      call hplot(1,' ',' ',0)
      call hplot(2,' ',' ',0)
      call hplot(3,' ',' ',0)
      call hplot(4,' ',' ',0)
      call igterm
c
      hisnum = -1
c
c list histograms
c
ccc      call hldir('//PAWC',' ')
      print *, '***************************************************'
      print *, '* Histogram  Number  |  Content                   *'
      print *, '***************************************************'
      print *, '* 1                  |  adc pedestals             *' 
      print *, '* 2                  |  pedestal vs. ic           *' 
      print *, '* 3                  |  adc rms                   *' 
      print *, '* 4                  |  adc rms  vs. ic           *' 
      print *, '* 5                  |  Max(adc) vs. ic           *'
      print *, '* 1000  + ic         |  Max-ped for (ic)          *' 
      print *, '* 2000  + ic         |  Max(time) (ic)            *' 
      print *, '* 10000 + ic         |  Time profile (ic)         *' 
      print *, '* 20000 + ic         |  Energy (ic)               *' 
      print *, '* 21000 + # of sigma |  Energy above # sigma cut  *' 
      print *, '* 5200  + chamber #  |  MWPC beam profile         *' 
      print *, '* 5210  + chamber #  |  MWPC hit wire distribution*' 
      print *, '***************************************************'
      print *, '****note: ic refers to channel # ******************'
      print *, '***************************************************' 
c
c while the user has not entered 0 as a histogram number
c
      do while (hisnum .ne. 0)
c
c choose zone 1 1 for plot
c
        call hplzon(1,1,1,' ')
c
c prompt user for histogram number and read from keyboard
c
        print *, ' ***ENTER 9998 TO LIST HISTOGRAMS'
        print *, ' ***ENTER 9999 FOR RUN SUMMARY PLOT'
        print *, ' ***ENTER HISTOGRAM NUMBER TO DISPLAY'
        print *, ' ***ENTER -HISTOGRAM NUMBER TO MAKE .PS FILE'
        print *, ' ***ENTER 0 TO EXIT'
        read(5,*,ERR=10) hisnum
c
        if (hisnum .ne. 0) then
c
c if histogram number is negative, make a postscript file
c
           if (hisnum .lt.0) then
              open(unit=10,file='hec_online.ps',form='formatted',
     +             status='unknown')
              call igmeta(10,-111)
              call hplcap(-10)
              hisnum = ABS(hisnum)
c
c plot histogram
c
              if (ABS(hisnum) .ne. 9999) then
                 if (hisnum .gt. 9999 .and. hisnum .lt. 19999) then
                    call hplot(hisnum,'*',' ',0)
                 else
                    call hplot(hisnum,' ',' ',0)
                 endif
              else
                 call hplzon(2,2,1,' ')
                 call hplot(1,' ',' ',0)
                 call hplot(2,' ',' ',0)
                 call hplot(3,' ',' ',0)
                 call hplot(4,' ',' ',0)
              endif
              call igterm
              call igmeta(0,999)
           endif
c
c if user is not requesting a .ps file
c
           call hplcap(0)
           if (ABS(hisnum) .ne. 9999 .and. ABS(hisnum) .ne. 9998) then
              if (hisnum .gt. 9999 .and. hisnum .lt. 19999) then
                 call hplot(hisnum,'*',' ',0)
              else
                 call hplot(hisnum,' ',' ',0)
              endif
           elseif (ABS(hisnum) .eq. 9999) then
              call hplzon(2,2,1,' ')
              call hplot(1,' ',' ',0)
              call hplot(2,' ',' ',0)
              call hplot(3,' ',' ',0)
              call hplot(4,' ',' ',0)
           else
      print *, '***************************************************'
      print *, '* Histogram  Number  |  Content                   *'
      print *, '***************************************************'
      print *, '* 1                  |  adc pedestals             *' 
      print *, '* 2                  |  pedestal vs. ic           *' 
      print *, '* 3                  |  adc rms                   *' 
      print *, '* 4                  |  adc rms  vs. ic           *' 
      print *, '* 5                  |  Max(adc) vs. ic           *'
      print *, '* 1000  + ic         |  Max-ped for (ic)          *' 
      print *, '* 2000  + ic         |  Max(time) (ic)            *' 
      print *, '* 10000 + ic         |  Time profile (ic)         *' 
      print *, '* 20000 + ic         |  Energy (ic)               *' 
      print *, '* 21000 + # of sigma |  Energy above # sigma cut  *' 
      print *, '* 5000  + chamber #  |  MWPC beam profile         *' 
      print *, '* 5050  + chamber #  |  MWPC hit wire distribution*' 
      print *, '***************************************************'
      print *, '****note: ic refers to channel # ******************' 
      print *, '***************************************************'
           endif
           call igterm
c
c if no error (ie got to here) skip error handling block
c
        endif
        goto 11
 10     continue
        print *, ' ***Not a valid histogram number'
        hisnum = -1
 11     continue
c
      enddo
c
c terminate hplot
c
      call hplend
      close(unit=10)
c
      return
      end


