      subroutine hec_online_pass1
c
c pass over data set to fill online histograms
c
      implicit none
c
c user datacard values common
c
      include'hec_datacard.inc'
c
c event header EVTH common
c
      include'hec_evth.inc'
c
c online common
c
      include'hec_online.inc'
c
c trigger common
c
      include'hec_trig.inc'
c
c
      include'hec_par.inc'
      include'hec_max.inc'
      include'hec_geo.inc'
      include'hec_adc.inc'
c
c local variable declaration
c
      logical hec_nextevt
      external hec_nextevt
c
      logical goflag
c
      integer i,j,adc_max_peak,adc_max_tim
c
      integer i_proc
c
      print *, ' '
      print *, ' *** starting pass for online histogram analysis'
c
c initialise data io for pass
c
      call hec_io_pass_ini
c
c loop over events
c
      i_event = 1
      i_proc = 0
      do while (hec_nextevt() .and. i_event .le. n_evtmax)
        if (mod(i_event, 1000) .eq. 0 .or. i_event .eq. 1) then
          print *, ' *** starting event number ', i_event
        endif
c
c process event 
c
        call hec_trig
c
c only process events corresponding to users request
c
        goflag = .false.
        if (trigreq .eq. 1) goflag = .true.
        if (trigreq .eq. 2 .and. trig_physics) goflag = .true.
        if (trigreq .eq. 3 .and. trig_e ) goflag = .true.
        if (trigreq .eq. 4 .and. trig_pi) goflag = .true.
        if (trigreq .eq. 5 .and. trig_mu) goflag = .true.
c
        if (goflag) then
           do i = 1, i_adc_used
              adc_max_peak = 0
              adc_max_tim = 0
              do j = 1, i_tim_used
                 if (i_adc_ic_t(i,j) .gt. adc_max_peak) then
                    adc_max_peak = i_adc_ic_t(i, j)
                    adc_max_tim = j
                 endif
              enddo
              adc_max_ic(i, 1) = adc_max_peak
              adc_max_ic(i, 2) = adc_max_tim
           enddo
c
           call hec_online_mwpc
c     
c online histogram analysis for a given event
c
           call hec_online_evt1
c 
c count events that are processed
c
           i_proc = i_proc + 1
c
        endif
c
c handle end of event data io
c
        call hec_io_pass_evt
c     
        i_event = i_event + 1
c     
      enddo                     ! enddo over events
c
c update count of events already processed
c
      i_event = i_event - 1
      print *, ' *** events processed      ', i_event
c
c system histogram analysis at end of event loop
c
      call hec_online_ana1
c
c handle data io at pass end
c
      call hec_io_pass_ter
c
      print *, ' *** pass completed for online histogram filling'
c
      print *, ' ***********************************************'
      print *, ' *** ',i_proc,' events processed by your trigger'
     +          , ' selection'
      print *, ' ***********************************************'
c
      end

 
              
            
          
