      subroutine hec_ped_evt1
c
c pass 1 pedestal computation event routine
c
      implicit none
c
      include'hec_par.inc'
c
c adc values common
c must be preceded by the include file hec_par.inc
c
      include'hec_adc.inc'
c
c common for datacard values
c
      include'hec_datacard.inc'
c
c event header EVTH common
c
      include'hec_evth.inc'
c
c geometry correspondence tables common
c must be preceded by the include file hec_par.inc
c
      include'hec_geo.inc'
c
c pedestal values common
c
      include'hec_ped.inc'
c
c pedestal computation common
c must be preceded by the include file hec_par.inc
c
      include'hec_ped_sys.inc'
c
c event trigger common
c
      include'hec_trig.inc'
c
      integer ic                !adc channel number
      integer i_t
      real ave
c
      real rmsmom0, rmsmom1, rmsmom2
c
c before the first event, reset the channel arrays
c SORRY, THIS SHOULD BE PUT IN AN _INI ROUTINE
c
      if (i_event .le. 1) then
        i_ped_evt1 = 0
        do ic = 1, i_adc_used
          i_adc0_1(ic) = 0
          r_adc1(ic) = 0.d0
          r_adc2(ic) = 0.d0
        enddo
      endif
c
c only select random trigger events
c
      if (trig_random .and. irunpd .le. 3) then
        i_ped_evt1 = i_ped_evt1 + 1
c
c gather adc sums
c
        do ic = 1, i_adc_used
          i_adc0_1(ic) = i_adc0_1(ic) + 1
          r_adc1(ic)   = r_adc1(ic) + i_adc_ic(ic)
          r_adc2(ic)   = r_adc2(ic) + dble(i_adc_ic(ic)**2)
        enddo
      elseif (irunpd .ge. 4) then
        i_ped_evt1 = i_ped_evt1 + 1
c
c loop over adcs to accumulate moments
c
        do ic = 1, i_adc_used
c
          ave = 0.
          rmsmom0=0.
          rmsmom1=0.
          rmsmom2=0.
c  
c calculate average adc value over a specified range of time slices
c accumulate moments for event by event rms
c
          do i_t = nt_ped_st, nt_ped
            ave = ave + i_adc_ic_t(ic, i_t)
            rmsmom0 = rmsmom0 + 1
            rmsmom1 = rmsmom1 + i_adc_ic_t(ic, i_t)
            rmsmom2 = rmsmom2 + i_adc_ic_t(ic, i_t)**2
          enddo
          ave = ave/real(nt_ped-nt_ped_st+1)
c
c calculate event by event pedestal and rms
c
          adc_ped_evt(ic) = ave
          adc_rms_evt(ic) = sqrt(rmsmom2/rmsmom0 - 
     +                      (rmsmom1/rmsmom0)**2)
c
c accumulate moments for calculation of average pedestal
c and rms in hec_ped_ana1 routine 
c
          i_adc0_1(ic) = i_adc0_1(ic) + 1
          r_adc1(ic)   = r_adc1(ic) + dble(ave)
          r_adc2(ic)   = r_adc2(ic) + dble(ave**2)
        enddo     
c
      endif
c
      end
