      logical function hec_s_1()
************************************************************************
*     signal searching routine kind: 1                                 *
*                                                                      *
*     function first searches absolut (pure) maximum in the range      *
*     hec_s_start...hec_s_stop . If this signal is above               *
*     hec_s_lvl*, then the time distribution is compared with the puls *
*     shape in a simple way.                                           *
*     The posibility to compare 3, 5 and 7 timeslices is provided.     *
*                                                                      *
*     I'm sorry for one GOTO statement. It will be clean later .....   *
*                                                                      *
*     author:     27.05.97   Dieter Striegel                           *
*     revisited:  02.11.97   Dieter Striegel                           *
************************************************************************
      implicit none
      
      include 'hec_par.inc' 				! parameter
      include 'hec_geo.inc' 				! geometry common
      include 'hec_datacard.inc' 			! search info from datacard
      include 'hec_search.inc' 				! search common
      
      real a, b, c, d, e, f, g, p, s, t_l
      integer ic, it
      integer i, k, end
      real s_tmp(i_tim_dim) 				! tmp array for max search
      integer indx(i_tim_dim)  			! search indx array
      real search_in(i_tim_dim)
      logical DEBUG
      character substr*18
      parameter (substr=' *** hec_s_1: ', DEBUG=.FALSE.)

      if (DEBUG) write(*,*) substr,'entering routine.'
      
      hec_s_hit=.FALSE.
      
      call vzero (s_tmp,i_tim_dim) 			! clear tmp search array
      call vzero (indx,i_tim_dim) 			! clear indx array
c
c     check search boudaries
c
      if (hec_s_start.le.2) then
        write(*,*) substr,'lower limit of search slices too low !'
        STOP
      endif 						! if (START.le.2) then
      if (hec_s_stop.gt.(i_tim_used-4)) then
        write(*,*) substr,'upper limit of search slices too high !'
        STOP
      endif 						! if (search_stop.gt.(i_...
      if (hec_s_stop.lt.hec_s_start) then
        write(*,*) substr,'upper search limit LOWER then lower one !'
        write(*,*) substr,'hec_s_start=',hec_s_start
        write(*,*) substr,'hec_s_stop=',hec_s_stop
        STOP
      endif 						! if (search_stop.lt.search_start) then
        
      do ic=1, i_adc_used 				! loop over all channels
      
        p=hec_s_ped(ic) 				! pedestal mean of ADC channel
        s=hec_s_sig(ic) 				! pedestal sigma of ADC channel
        
        call vzero (search_in,i_tim_dim)
        do it=1, i_tim_used
          search_in(it)=hec_s_in(ic,it)
        enddo 						! do it=1, i_tim_used
        
        end = hec_s_stop-hec_s_start 			! upper search boundary
        do i= 1, end
          s_tmp(i)=search_in(hec_s_start+i)
        enddo 						! do i= search_start, search_stop
        call sortzv (s_tmp,indx,hec_s_stop-hec_s_start,1,1,0)

        hec_s_im(ic)=indx(1)+hec_s_start 		! index of absolut maximum

        if (DEBUG) write(*,*) substr,'max in timeslice ',hec_s_im(ic)
c
c       check for sigma cut on search slices
c       test absolut detected maximum only
c
        a=search_in(hec_s_im(ic)-2) 			! copy puls distribution
        b=search_in(hec_s_im(ic)-1)
        c=search_in(hec_s_im(ic))
        d=search_in(hec_s_im(ic)+1)
        e=search_in(hec_s_im(ic)+2)
        f=search_in(hec_s_im(ic)+3)
        g=search_in(hec_s_im(ic)+4)
        t_l = hec_s_lvl*s 				! test level for signal
        
        if (hec_s_mc) then
          if ((c-p).le.t_l) then
            hec_s_hit=.FALSE.
            if (DEBUG) write (*,*) substr,' channel rejected by cut.'
            Goto 100
          endif 					! if ( b.lt.t_l .or. ...
        endif 						! if (make_cut) then
        
        if ( (b.lt.c).and.(d.lt.c) ) then
          
          if (hec_s_five) then
            
            if ( (a.lt.b).and.(e.lt.d) ) then
              
              if (hec_s_seven) then
                
                if ( (f.lt.e).and.(g.lt.f) ) then
                  
                  do k=1, i_tim_used-i+2+1
                    hec_s_result(ic,k)=search_in(hec_s_im(ic)-2+k-1)
                  enddo 					! do k=1, i_tim_used-i+2
                  hec_s_hit=.TRUE.
                  if (DEBUG) then
                    write(*,*) substr,'max in TSlice: ',hec_s_im(ic)
                    write(*,*) substr,'7 TSlices:  search_in + out'
                    write(*,*) ( search_in(k), k=1, i_tim_used )
                    write(*,*)
                    write(*,*) (hec_s_result(ic,k),k=1,i_tim_used)
                  endif 					! if (DEBUG) then
                  Goto 100
                    
                else
                  hec_s_hit=.FALSE.
                  if (DEBUG) write(*,*) substr,'no signal in channel.'
                  Goto 100
                endif 					! if ( (f.lt.e).and.(g.lt.f) ) then
                  
              else 						! take only 5 timeslices
                
                do k=1, i_tim_used-i+2+1
                  hec_s_result(ic,k)=search_in(hec_s_im(ic)-2+k-1)
                enddo 					! do k=1, i_tim_used-i+2
                hec_s_hit=.TRUE.
                if (DEBUG) then
                  write(*,*) substr,'max in TSlice: ', hec_s_im(ic)
                  write(*,*) substr,'5 TSlices:  search_in + out'
                  write(*,*) ( search_in(k), k=1, i_tim_used )
                  write(*,*)
                  write(*,*) (hec_s_result(ic,k),k=1,i_tim_used)
                endif 					! if (DEBUG) then
                Goto 100
                 
              endif 					! if (seven) then
                
            else
              
              hec_s_hit=.FALSE.
              if (DEBUG) write(*,*) substr,'no signal.'
              Goto 100
                
            endif 						! if ( (a.lt.b).and.(e.lt.d) ) then

          else 						! take only 3 timeslices

            do k=1, i_tim_used-i+2+1
              hec_s_result(ic,k)=search_in(hec_s_im(ic)-2+k-1)
            enddo 						! do k=1, i_tim_used-i+2
            hec_s_hit=.TRUE.
            if (DEBUG) then
              write(*,*) substr,'max in TSlice: ', hec_s_im(ic)
              write(*,*) substr,'3 TSlices:  search_in + out'
              write(*,*) ( search_in(k), k=1, i_tim_used )
              write(*,*)
              write(*,*) ( hec_s_result(ic,k), k=1, i_tim_used )
            endif 						! if (DEBUG) then
            Goto 100

          endif 						! if (five) then

        else
          
          hec_s_hit=.FALSE.
          if (DEBUG) write(*,*) substr,'no signal.'
          Goto 100
            
        endif 						! if ( (b.lt.c).and.(d.lt.c) ) then
        
 100    if (hec_s_hit) then
          hec_s_hit=.FALSE. 				! reset for next ADC
          hec_s_chan(ic)=.TRUE. 			! got a hit in adc ic
        else
          hec_s_chan(ic)=.FALSE.
        endif 						! if (hec_s_hit) then
        
      enddo 						! do ic=1, i_adc_used

      hec_s_hit=.FALSE.
      do ic=1, i_adc_used
        if (DEBUG) write(*,*) hec_s_hit, hec_s_chan(ic)
        hec_s_hit = hec_s_hit .OR. hec_s_chan(ic)
      enddo 						! do ic=1, i_adc_used
      
      if (DEBUG) then
        write(*,*) substr,' cell-list with hits:'
        write(*,*) hec_s_chan
        write(*,*) substr, 'result is: ', hec_s_hit
        write(*,*)
      endif 						! if (DEBUG) then
      
      hec_s_1 = hec_s_hit
      
      return
      end
      
