#
# This make file is maintained by the user
#
# It should only be necessary to change two things:
# 1) to add a new routine, add it to the object list
# 2) and add any include files to the include list.
#
# example:
#  I add routine user_new.f containing an include statement for
#  hec_datacard.inc. To compile it, add user_new.o to the list of 
#  objects (after user_ter.o)
#  and add hec_datacard.inc to the list of includes (after 
#  user_common.inc).
#
# The variables $(createexec) $(liblist) and $(libname) are
# platform-specific and are defined in hec_adc.ins.
#
# VPATH sets where to look for include files (besides the current
# directory)
#
VPATH=../inc
#
# list of objects
#
OBJECTS = user_ana1.o user_ana2.o user_ana3.o user_card.o \
          user_evt1.o user_evt2.o user_evt3.o user_ini.o user_ter.o
#
# list of includes
#
INC     = user_common.inc
#
# compile 
#
hec_adc : $(OBJECTS) ../$(libname) 
	$(createexec) hec_adc *.o ../$(libname) \
        `$(liblist)'
#
# define how to make an object from a .f file
#
.f.o :
	$(compile) $<
#
# objects depend on the include files
#
$(OBJECTS) : $(INC)
